mptscsih_TMHandler
Prev | Fusion message devices | Next

## Name

mptscsih_TMHandler — Generic handler for SCSI Task Management.

## Synopsis

`int mptscsih_TMHandler (` | MPT_SCSI_HOST * | hd,
| u8 | type,
| u8 | channel,
| u8 | id,
| int | lun,
| int | ctx2abort,
| ulong | timeout`)`;

## Arguments

`hd`

  Pointer to MPT SCSI HOST structure

`type`

  Task Management type

`channel`

  channel number for task management

`id`

  Logical Target ID for reset (if appropriate)

`lun`

  Logical Unit for reset (if appropriate)

`ctx2abort`

  Context for the task to be aborted (if appropriate)

`timeout`

  timeout for task management control

## Fall through to mpt_HardResetHandler if

not operational, too many failed TM requests or handshake failure.

## Remark

With old EH code, at most 1 SCSI TaskMgmt function per IOC will be active.

Returns 0 for SUCCESS, or `FAILED`.

## Remark

With old EH code, at most 1 SCSI TaskMgmt function per IOC will be active.

Returns 0 for SUCCESS, or `FAILED`.

Prev | Up | Next
mptscsih_qcmd | Home | mptscsih_abort